org.apache.creadur.tentacles

## Class TentaclesResources

- java.lang.Object
- - org.apache.creadur.tentacles.TentaclesResources

    public class TentaclesResources
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`TentaclesResources(IOSystem ioSystem)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `copyTo(String resourcePath, File to)`
`Reader` `read(String resourceName)`
`String` `readText(String resourcePath)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TentaclesResources

    public TentaclesResources(IOSystem ioSystem)

### Method Detail

#### read

    public Reader read(String resourceName)
                throws IOException

Throws:
  `IOException`

#### readText

    public String readText(String resourcePath)
                    throws IOException

Throws:
  `IOException`

#### copyTo

    public void copyTo(String resourcePath,
                       File to)
                throws IOException

Throws:
  `IOException`